@extends ('layouts/template')

@section('content')
<div class="p-3 mcp-theme-1" id="insurance-migration-center-container">
    <div class="card">
        <div class="card-header px-2 py-2 d-flex align-items-center">
            <strong class="mr-4 font-size-14">
                <i class="fas fa-user"></i>
                Insurance Migration Center
            </strong>
        </div>
        <div class="card-body p-0 d-flex align-items-center">
            @if(!@$records || !count($records))
                <div class="text-secondary p-3">No records to display</div>
            @else
                <table class="table table-sm table-striped border-0 mb-0">
                    <thead class="bg-light">
                    <tr>
                        <th class="border-bottom-0 width-40px">#</th>
                        <th class="border-bottom-0 width-200px">Patient</th>
                        <th class="border-bottom-0 max-width-300px">MCP</th>
                        <th class="border-bottom-0 max-width-300px">Coverage (old)</th>
                        <th class="border-bottom-0">Insurance (new)</th>
                        <th class="w-50"></th>
                    </tr>
                    </thead>
                    <tbody>
                        <?php $i = 1; ?>
                        @foreach($records as $record)
                            <tr>
                                <td>
                                    {{$i++}}
                                </td>
                                <td>
                                    <a native target="_blank" href="{{route('patients.view.dashboard', $record->uid)}}">
                                        {{implode(', ', [$record->c_name_last, $record->c_name_first])}}
                                    </a>
                                </td>
                                <td>
                                    {{implode(', ', [$record->mcp_name_last, $record->mcp_name_first])}}
                                </td>
                                <td>
                                    {{$record->payer_name ?: '-'}}
                                </td>
                                <td>
                                    @if($record->carrier_category)
                                        {!! implode('/', [$record->carrier_category ?: '-', $record->carrier_name ?: '-', $record->member_id ?: '-']) !!}
                                    @else
                                        -
                                    @endif
                                </td>
                                <td>
                                    <span class="ml-3">
                                        <a open-in-stag-popup
                                           popup-style="tall wide"
                                           title="Insurance Migration"
                                           mc-initer="createInsuranceCard"
                                           href="/patients/view/{{$record->uid}}/insurance-migration?liteHeader=1">
                                            Dual View
                                        </a>
                                    </span>
                                </td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
            @endif
        </div>
    </div>
</div>

<script>
    (function() {
        function init() {
            // TODO
        }
        addMCInitializer('insurance-migration-center', init, '#insurance-migration-center-container');
    }).call(window);
</script>
@endsection