<?php
$ep = !@$record ? "/api/accountingItem/createFor{$entityType}" : '/api/accountingItem/update';
?>
<div moe relative id="create-edit-accounting-item-container">
    <a href="" start show class="">{{!@$record ? 'Create' : 'Update'}}</a>
    <form url="{{$ep}}" class="mcp-theme-1" {{!@$record ? '' : 'right'}}>
        @if(!@$record)
            <input type="hidden" name="{{$uidParamName[$entityType]}}" value="{{$entityUid}}" />
        @else
            <input type="hidden" name="uid" value="{{@$record->uid}}" />
        @endif

        @if(!@$record)
            <?php
                $templates = \App\Models\AccountingItemTemplate::where('entity_type', $entityType)->get();
            ?>
            <div class="mb-2">
                <label class="text-sm text-secondary mb-1">Template</label>
                <select name="itemTemplate" class="form-control form-control-sm">
                    <option value="">None/Custom</option>
                    @foreach($templates as $t)
                        <?php
                            $tVal = implode('___', [$t->expected_value, $t->received_value, $t->memo, $t->is_open]);
                        ?>
                        <option value="{!! $tVal !!}">{{$t->memo}}</option>
                    @endforeach
                </select>
            </div>
        @endif

        <div class="mb-2">
            <label class="text-sm text-secondary mb-1">Expected:</label>
            <input type="number" name="expectedValue" value="{{@$record->expected_value}}" class="form-control form-control-sm">
        </div>
        <div class="mb-2">
            <label class="text-sm text-secondary mb-1">Received/Actual:</label>
            <input type="number" name="receivedValue" value="{{@$record->received_value}}" class="form-control form-control-sm">
        </div>
        <div class="mb-2">
            <label class="text-sm text-secondary mb-1">Is Open?</label>
            <select name="isOpen" class="form-control form-control-sm">
                <option value=""> --select-- </option>
                <option value="1" {{@$record->is_open == 1 ? 'selected' : ''}}>Yes</option>
                <option value="0" {{@$record->is_open == 0 ? 'selected' : ''}}>No</option>
            </select>
        </div>
        <div class="mb-2">
            <label class="text-sm text-secondary mb-1">Memo:</label>
            <textarea name="memo" class="form-control form-control-sm">{{@$record->memo}}</textarea>
        </div>
        <div class="mb-2">
            <button class="btn btn-sm btn-primary" submit>Submit</button>
            <button class="btn btn-sm btn-default border" close>Close</button>
        </div>
    </form>
</div>
<script>
    (function() {
        function init() {
            let container = $('#create-edit-accounting-item-container');
            container
                .find('[name="itemTemplate"]')
                .off('change')
                .on('change', function() {
                    let val = $(this).val();
                    if(!val) return;
                    let parts = val.split('___');
                    container.find('[name="expectedValue"]').val(+parts[0]);
                    container.find('[name="receivedValue"]').val(+parts[1]);
                    container.find('[name="isOpen"]').val(parts.length < 4 || !+parts[3] ? 0 : 1);
                    container.find('[name="memo"]').val(parts[2]);
                });
        }
        addMCInitializer('create-edit-accounting-item', init, '#create-edit-accounting-item-container');
    }).call(window);
</script>